# Interface ICefSettingObserver

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefSettingObserver = interface(ICefBaseRefCounted)`

## Description

Implemented by the client to observe content and website setting changes and registered via ICefRequestContext.AddSettingObserver. The functions of this structure will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_preference_capi.h">CEF source file: /include/capi/cef_preference_capi.h (cef_setting_observer_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefSettingObserver

## Overview

### Methods

| `procedure OnSettingChanged(const requesting_url, top_level_url : ustring; content_type: TCefContentSettingTypes);`

## Description

### Methods

| `procedure OnSettingChanged(const requesting_url, top_level_url : ustring; content_type: TCefContentSettingTypes);`
Called when a content or website setting has changed. The new value can be retrieved using ICefRequestContext.GetContentSetting or ICefRequestContext.GetWebsiteSetting. ###### Attributes GUID['{84E0FD25-F337-451F-9661-3D2E5844882C}']

Generated by PasDoc 0.16.0-snapshot.